/* base.css */

/* ==========================================================================
Browser reset
========================================================================== */
*,
*::before,
*::after {
    box-sizing: border-box;
}

* {
    margin: 0;
}

html,
body {
    margin: 0;
    padding: 0;
    border: 0;
    overflow-x: hidden;
}

body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    min-height: 100vh;
    color: var(--text-color-primary);
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

input,
button,
textarea,
select {
    font: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
}

h1,
h2,
h3,
h4,
button,
input,
label {
    line-height: 1.1;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
    margin-block-end: 0;
}

ul[role="list"],
ol[role="list"] {
    list-style: none;
}

/* ==========================================================================
General
========================================================================== */
html.is-locked,
html.is-locked body {
    overflow-y: hidden !important;
}

body {
    font-family: var(--font-text);
    font-size: var(--text-base-size);
    font-weight: var(--body-font-weight);
    line-height: var(--body-line-height);
}

main {
    margin: var(--total-header-height) 0 0 0;
}

section {
    scroll-margin-top: var(--section-padding);
}

/* Error 404
========================================================================== */
.error404 main {
    height: calc(100vh - var(--total-header-height));
}

.error404 .qt-section {
    height: 100%;
    align-items: center;
    display: flex;
    padding: var(--section-padding) var(--side-padding) !important;
}

.error404 .qase-section * {
    text-align: center;
}

.error404 .wp-block-buttons {
    justify-content: center;
}

/* Input fields, textarea, select, checkbox, radio button
========================================================================== */
button,
input,
optgroup,
select,
textarea,
input[type="checkbox"] {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
    border: var(--border-default);
    padding: unset;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0;
    outline: none;
}

/* Input */
input {
    min-width: 0;
}

/* Select */
select {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: transparent;
    border: none;
    padding: 0.5rem 2em 0.5rem 1em;
    border: 1px solid transparent;
    margin: 0;
    width: 100%;
    font-family: inherit;
    font-size: initial;
    cursor: pointer;
    line-height: inherit;
    border-radius: 0;
    background: rgba(255, 255, 255, 1) url("../images/chevron-down.svg") no-repeat;
    background-position-x: 98.5%;
    background-position-y: 50%;
}

@media screen and (max-width: 670px) {
    select {
        background-position: 97.5% 51%;
    }
}

/* Radio, checkbox */
input[type="checkbox"],
input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: #ffffff;
    margin: 0;
    width: 20px;
    height: 20px;
    border: 1.25px solid var(--bg-black);
    border-radius: 0;
    cursor: pointer;
    display: grid;
    place-content: center;
    border-radius: 0;
    
}

input[type="checkbox"]:checked,
input[type="radio"]:checked {
    background-color: #000000;
}

input[type="checkbox"]::before,
input[type="radio"]::before {
    content: "";
    width: 12px;
    height: 12px;
    transform: scale(0);
    box-shadow: inset 1em 1em #ffffff;
    transform-origin: bottom left;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
    border-radius: 0;
}

input[type="checkbox"]:checked::before,
input[type="radio"]:checked::before {
    transform: scale(1);
}

/* Sliders - splide.js
========================================================================== */
.splide__list {
    margin: 0;
    list-style-image: none;
}

.splide__slide {
    padding: 0;
    margin: 0;
}

.splide__arrow:disabled {
    cursor: not-allowed;
}

/* Images and videos
========================================================================== */
img {
    max-width: 100%;
    height: auto;
}

.wp-block-image {
    margin: 0;
}

.wp-block-image figcaption {
    margin-top: var(--space-s);
    font-size: var(--text-s);
    color: var(--text-color-primary);
}

.wp-block-image figcaption,
.wp-element-caption {
    max-width: 95%;
}

@media screen and (max-width: 670px) {
    .wp-block-image figcaption,
    .wp-element-caption {
        max-width: 100%;
    }
}

/* Aspect ratio */
.is-style-aspect-ratio-square img {
    aspect-ratio: var(--aspect-ratio-square);
    object-fit: cover;
}

.is-style-aspect-ratio-portrait img {
    aspect-ratio: var(--aspect-ratio-portrait);
    object-fit: cover;
}

.is-style-aspect-ratio-landscape img {
    aspect-ratio: var(--aspect-ratio-landscape);
    object-fit: cover;
}

/* reCAPTCHA
========================================================================== */
.grecaptcha-badge {
    visibility: hidden;
}

/* Cookiebot
========================================================================== */
.CookieDeclaration * {
    font-size: initial;
    color: inherit;
}

/* RankMath breadcrumbs
========================================================================== */
.rank-math-breadcrumb {
    margin: 0 0 var(--space-s) 0;
}

.rank-math-breadcrumb * {
    font-size: var(--text-m);
    font-weight: 700;
}

.rank-math-breadcrumb .separator {
    padding: 0 0.5rem;
    color: var(--text-color-primary);
}

.rank-math-breadcrumb a {
    color: var(--text-color-primary);
    text-decoration: none;
}

.rank-math-breadcrumb a:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 1px;
    color: var(--text-color-primary);
}

.rank-math-breadcrumb :is(span, a, p) .last {
    color: var(--text-color-primary);
}

/* Pagination
========================================================================== */
.pagination {
    display: flex;
    justify-content: center;
    gap: var(--gutter-s);
}

.pagination * {
    font-size: var(--btn-font-size);
    font-weight: 700;
}

.pagination .page-numbers {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    border-radius: var(--radius-xs);
    color: var(--text-color-secondary);
}

.page-numbers.current,
.page-numbers:hover {
    background-color: inherit;
}

.page-numbers:is(.prev, .next) {
    background-color:#000000;
    color: var(--text-color-inverted);
}

.page-numbers:is(.prev, .next) img {
    filter: invert(1);
}

/* ==========================================================================
Sections
========================================================================== */
.qt-section {
    padding: 0 var(--side-padding) var(--section-padding);
}

.qt-section:first-of-type {
    padding-top: var(--section-padding);
}

.qt-section .qt-section {
    padding: 0;
    margin-left: auto;
    margin-right: auto;
}

/* Fullwidth section */
.container-fullwidth {
    padding: 0;
    margin-bottom: var(--section-padding);
}

.container-fullwidth .container-fullwidth {
    margin: 0;
}

.container-fullwidth .container-fullwidth .qt-section__inner {
    max-width: 100%;
}

/* Section with backgrund */
.qt-section.has-background {
    padding: var(--space-xxxxl) var(--side-padding);
    margin-bottom: var(--section-padding);
    border-radius: 0;
}

.qt-section__inner.has-background {
    padding: var(--space-xxxl) var(--side-padding);
}

.qt-container.has-background {
    padding: var(--space-l);
}

/* ==========================================================================
Covers
========================================================================== */
main > .wp-block-cover,
.qase-section .wp-block-cover {
    padding: var(--section-padding) var(--side-padding);
}

.wp-block-cover {
    padding: var(--section-padding) var(--side-padding);
}

.wp-block-cover .qase-section__inner {
    z-index: 2;
}

main > .wp-block-cover.is-style-remove-margin-bottom,
.qt-section.is-style-remove-margin-bottom {
    margin-bottom: unset !important;
    padding-bottom: unset !important;
}

.wp-block-cover-image .wp-block-cover__inner-container,
.wp-block-cover .wp-block-cover__inner-container {
    margin: 0 auto;
    max-width: var(--wd-container-default);
    z-index: 2 !important;
}

.wp-block-cover .wp-block-button__link:hover {
    border-color: #ffffff;
    color: var(--text-color-inverted);
}

.wp-block-cover .wp-block-button__link:hover img {
    filter: brightness(0) invert(1);
}

/* ==========================================================================
Containers
========================================================================== */
.qt-section__inner {
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width-default);
}

.qt-container {
    margin-left: auto;
    margin-right: auto;
    width: 100%;
}

.is-style-align-left {
    margin-left: 0;
}

.is-style-align-right {
    margin-right: 0;
}

/* ==========================================================================
Max-widths
========================================================================== */
.container-default .qt-section__inner,
.qt-section .container-default {
    max-width: var(--max-width-default);
}

.container-xs .qt-section__inner,
.qt-section .container-xs {
    max-width: var(--max-width-xs);
}

.container-s .qt-section__inner,
.qt-section .container-s {
    max-width: var(--max-width-s);
}

.container-m .qt-section__inner,
.qt-section .container-m {
    max-width: var(--max-width-m);
}

.container-l .qt-section__inner,
.qt-section .container-l {
    max-width: var(--max-width-l);
}

.container-xl .qt-section__inner,
.qt-section .container-xl {
    max-width: var(--max-width-xl);
}

.container-fullwidth .qt-section__inner {
    max-width: none;
}

/* ==========================================================================
Grids
========================================================================== */
.grid {
    display: grid;
    grid-gap: var(--gutter-l);
}

.grid-col-1 {
    grid-template-columns: minmax(0, 1fr);
    grid-gap: var(--gutter-xl);
}

.grid-col-2 {
    grid-template-columns: repeat(2, minmax(0, 1fr));
}

.grid-col-3 {
    grid-template-columns: repeat(3, minmax(0, 1fr));
}

.grid-col-4 {
    grid-template-columns: repeat(4, minmax(0, 1fr));
}

.grid-col-5 {
    grid-template-columns: repeat(5, minmax(0, 1fr));
}

.grid-col-6 {
    grid-template-columns: repeat(6, minmax(0, 1fr));
}

@media screen and (max-width: 1216px) {
    .grid-col-5,
    .grid-col-6 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }
}

@media screen and (max-width: 960px) {
    .grid-col-4,
    .grid-col-5,
    .grid-col-6 {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}

@media screen and (max-width: 800px) {
    .grid-col-2 {
        grid-template-columns: minmax(0, 1fr);
        grid-gap: var(--gutter-m);
    }

    .qt-container.is-style-reverse-order-mobile {
        grid-row: -1;
    }
}

@media screen and (max-width: 670px) {
    .grid-col-2 {
        grid-template-columns: minmax(0, 1fr);
    }

    .grid-col-3,
    .grid-col-4,
    .grid-col-5,
    .grid-col-5 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}

@media screen and (max-width: 510px) {
    .grid-col-3,
    .grid-col-4,
    .grid-col-5,
    .grid-col-6 {
        grid-template-columns: minmax(0, 1fr);
    }
}

/* ==========================================================================
Buttons
========================================================================== */
.wp-block-buttons {
    display: flex;
    flex-wrap: wrap;
    gap: var(--space-s);
}

.wp-block-button__link {
    display: inline-block;
    line-height: normal;
    cursor: pointer;
    transition: all 150ms linear;
    padding: var(--btn-padding-y) var(--btn-padding-x);
    border-radius: var(--btn-radius);
    border: var(--btn-border);
    font-size: var(--btn-font-size);
}

.wp-block-button__link img {
    transition: all 150ms linear;
}

@media screen and (max-width: 960px) {
    .wp-block-buttons {
        /* margin: var(--space-m) 0 0 0; */
    }
}

/* ==========================================================================
Typography
========================================================================== */

/* Headings
========================================================================== */
:is(h1, h2, h3, h4, h5, h6):last-child {
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-heading);
    font-weight: var(--heading-font-weight);
    line-height: var(--heading-line-height);
    color: var(--heading-color);
    text-wrap: pretty;
}

/* Paragraph text
========================================================================== */
p {
    font-weight: var(--body-font-weight);
    margin: 0 0 var(--space-s) 0;
    text-wrap: pretty;
}

p:only-of-type {
    margin-bottom: 0;
}

p:last-child {
    margin-bottom: 0;
}

ul {
    margin-bottom: var(--space-m);
}

p + ul,
p + ol {
    margin-top: var(--space-m);
}

:is(h1, h2, h3, h4, h5, h6) ~ ul {
    margin-top: var(--space-m);
}

ul:last-child {
    margin-bottom: 0;
}

ul + p ~ ul,
ol + p ~ ol {
    margin-top: var(--space-m);
} 

ul ~ h3 {
    margin-top: var(--space-xl);
}

p ~ ul,
p ~ ol {
    margin-bottom: var(--space-m);
}

p ~ .wp-block-buttons {
    margin-top: var(--space-l);
}

.wp-block-buttons {
    margin-bottom: var(--space-l);
}

.wp-block-buttons + p {
    margin-top: var(--space-l);
}

.wp-block-buttons:only-of-type {
    margin-bottom: 0;
}

figure + :is(p, .wp-block-heading),
.wp-block-image + :is(p, .wp-block-heading) {
    margin-top: var(--space-xl);
}

:is(p, .wp-block-heading) ~ figure {
    margin-top: var(--space-xxl);
}

/* Links
========================================================================== */
a {
    text-decoration: none;
    color: inherit;
    font-weight: inherit;
    cursor: pointer;
    transition: all linear 150ms;
    display: inline-block;
    font-size: inherit;
    letter-spacing: inherit;
}

p a {
    word-break: break-word;
    font-weight: inherit;
    text-decoration: underline;
    text-underline-offset: 3px;
    text-decoration-thickness: 1.5px;
}

/* Lists
========================================================================== */
ul {
    position: relative;
    list-style-type: none;
    padding-left: 0.75rem;
}

ol {
    padding-left: 1.25rem;
}

ul ul {
    margin-top: 1em;
    margin-bottom: 1em;
}

li {
    color: inherit;
    font-size: inherit;
    padding-inline-start: 0.75rem;
    line-height: initial;
}

ul {
    list-style-image: url("../images/bullet-square.svg");
    padding-left: 1.25rem;
}

li {
    margin-bottom: 16px;
}

li:last-child {
    margin-bottom: 0;
}

/* Typography spacing
========================================================================== */
.qt-container p + h3 {
    margin-top: var(--space-l);
}

.qt-container p + h4 {
    margin-top: var(--space-l);
}

.qt-container p ~ h2 {
    margin-top: var(--space-xxxxl);
}

.qt-container h3 + h2 {
    margin-top: var(--space-l);
}

.qt-container h4 + h3 {
    margin-top: var(--space-l);
}

@media screen and (max-width: 960px) {
    .qt-container p + h3,
    .qt-container p + h4,
    .qt-container h3 + h2,
    .qt-container h4 + h3 {
        margin-top: var(--space-m);
    }

    .qt-container p ~ h2 {
        margin-top: var(--space-xxl);
    }
}

/* ==========================================================================
Single post
========================================================================== */
.post-container .grid {
    grid-row-gap: 0;
}

/* Featured image */
.post-image {
    margin-bottom: var(--space-s);
}

.post-image img {
    aspect-ratio: var(--aspect-ratio-landscape);
    object-fit: cover;
}

/* Post content */
.post-content {
    margin-top: var(--space-l);
}

/* .post-content :is(p + h2, ul + h2, ol + h2) {
    margin-top: var(--text-xxxxl);
} */

.post-content .wp-block-image {
    padding: var(--text-xxxxl) 0;
}

/* Images */
.post-container .wp-block-image {
    margin-left: auto;
    margin-right: auto;
}

.post-container .is-style-aspect-ratio-square {
    max-width: 600px;
}

.post-container .is-style-aspect-ratio-landscape {
    max-width: 700px;
}

.post-container .is-style-aspect-ratio-portrait {
    max-width: 400px;
}

/* Post meta */
.post-meta {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.post-meta p {
    margin: 0;
}

.post-meta :is(.date) {
    color: var(--text-color-primary);
}


/* ==========================================================================
Accordion
========================================================================== */
.accordion-item:last-of-type {
    margin-bottom: 0;
}

.accordion-heading * {
    pointer-events: none;
}

.accordion-heading {
    display: grid;
    grid-template-columns: repeat(2, auto);
    justify-content: space-between;
    align-items: center;
    grid-gap: var(--gutter-l);
    cursor: pointer;
    line-height: inherit;
    font-size: var(--text-body);
    margin: 0;
}

.accordion-icon {
    position: relative;
    width: 20px;
    height: 20px;
    cursor: pointer;
}

.accordion-icon:before,
.accordion-icon:after {
    content: '';
    display: block;
    background-color: #000000;
    position: absolute;
    top: 50%;
    left: 0;
    transition: 250ms;
    width: 100%;
    height: 3.5px;
}

.accordion-icon:before {
    transform: translatey(-50%);
}

.accordion-item.is-open .accordion-icon:before {
    transform: translatey(-50%) rotate(-90deg);
    opacity: 0;
}

.accordion-icon:after {
    transform: translatey(-50%) rotate(90deg);
}
.accordion-item.is-open .accordion-icon:after {
    transform: translatey(-50%) rotate(0);
}

.accordion-content {
    max-height: 0;
    transition: max-height 150ms linear;
    overflow: hidden;
    max-width: 100%;
}

.accordion-content-inner {
    padding: 0.5rem 0 0;
}

.accordion-item:last-of-type {
    margin-bottom: 0;
}

/* ==========================================================================
Forms
========================================================================== */

/* Text and fields
========================================================================== */
.wpcf7-form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: var(--gutter-default);
    margin-top: var(--space-l);
}

.wpcf7-form * {
    text-align: left;
}

.wpcf7-form p {
    margin-bottom: unset;
    position: relative;
}

.wpcf7-form label {
    display: flex;
    grid-gap: var(--gutter-s) 0;
    align-items: flex-start;
}

.wpcf7-form p:has(.wpcf7-validates-as-required) label::after {
    content: '';
    margin: 0 0.2em 0;
    padding: 0.15em;
    background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 128"><path fill="crimson" d="M110 16 76 57v1l51-10v32l-51-9-1 1 35 39-28 17-18-50-1 1-18 49-28-17 34-40-50 9V48l50 10v-1L17 17 46 1l17 48h1L82 1l28 15z"/></svg>') no-repeat 0 25%;
}

.wpcf7-form p span :is(select, textarea, input:not([type="checkbox"])) {
    width: 100%;
    margin: 0;
    border: 1px solid black;
    padding: var(--space-xs);
    border-radius: 0;
    background-color: #ffffff;
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
}

.wpcf7-list-item {
    margin-left: unset;
}

.wpcf7-form .hidden {
    display: none;
}

.wpcf7-radio .wpcf7-list-item {
    display: grid;
    grid-template-columns: 24px auto;
    grid-gap: var(--gutter-s);
}

.wpcf7-form :is(select, textarea, input):focus {
    outline: none;
}

.wpcf7-form-control-wrap {
    line-height: normal;
}

/* Error message
========================================================================== */
.wpcf7-not-valid-tip,
.wpcf7 form .wpcf7-response-output {
    color: #dc3232;
    font-size: var(--text-xs);
    font-weight: inherit;
    display: block;
    border: none;
    margin-top: var(--space-xs);
    padding: 0;
    text-align: left;
    font-family: var(--font-text);
    width: fit-content;
}

.wpcf7 form .wpcf7-response-output:last-of-type {
    margin-top: var(--space-s);
    grid-column: 1/3;
}

.wpcf7 form.sent .wpcf7-response-output {
    border: 1px solid #46b450 !important;
    padding: var(--space-xs) var(--space-s);
    color: #46b450;
}

.wpcf7 form .wpcf7-response-output {
    margin: 0 !important;
} 
 
/* Acceptance
========================================================================== */
.wpcf7-acceptance label {
    grid-gap: var(--gutter-xs);
    display: grid;
    grid-template-columns: auto auto;
}

.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label,
.wpcf7-form .wpcf7-acceptance .wpcf7-list-item-label a {
    font-size: var(--text-s);
    line-height: var(--body-line-height);
}

.wpcf7-form .acceptance,
.wpcf7-form .acceptance a {
    font-size: var(--text-s);
    line-height: normal;
    text-align: left;
    text-transform: initial;
    letter-spacing: initial;
    font-family: inherit;
}

/* Submit
========================================================================== */
.wpcf7-form .submit {
    display: flex;
    justify-content: flex-start;
    grid-column: 1/3;
    margin-top: var(--space-s);
}

.wpcf7-form input[type="submit"],
.wpcf7-form input[type="submit"]:disabled,
.form-calendar input[type="submit"],
.form-calendar input[type="submit"]:disabled {
    transition: all 150ms linear;
    cursor: pointer;
    line-height: normal;
}

.wpcf7-spinner {
    display: none;
}

.wpcf7 .wpcf7-submit:disabled,
.wpcf7-form input[type="submit"]:disabled,
.form-calendar input[type="submit"]:disabled {
    cursor: not-allowed;
}

/* ==========================================================================
Search
========================================================================== */

/* ==========================================================================
Header
========================================================================== */

/* ==========================================================================
Footer
========================================================================== */

/* ==========================================================================
WP dashboard and Gutenberg editor
========================================================================== */

/* Admin bar
========================================================================== */
.admin-bar header {
    top: 32px;
}

.admin-bar .hamburger-menu {
    margin-top: calc(var(--total-header-height) + 32px);
    padding-bottom: calc(var(--total-header-height) + 32px);
}

@media (max-width: 782px) {
    #wpadminbar {
        position: fixed;
    }

    #wpadminbar li > .ab-item {
        width: 4rem !important;
    }

    .admin-bar header {
        top: 46px;
    }

    .admin-bar .hamburger-menu {
        margin-top: calc(var(--m-header-total-height) + 46px);
        padding-bottom: calc(var(--m-header-total-height) + 46px);
    }

    .admin-bar .woocommerce-sidebar {
        top: unset;
    }
}